<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Fode
 */

if(is_page()){
    global $post; 
    $fode_markup = '';
    $fode_header_style  = get_post_meta($post->ID,'_fode_header_style',true);
    $fode_footer_style = get_post_meta($post->ID,'_fode_footer_style',true);
    $fode_header_variation = (!empty($fode_header_style)) ? get_post_meta($post->ID,'_fode_header_style',true) : 0; 
    $fode_footer_variation = (!empty($fode_footer_style)) ? get_post_meta($post->ID,'_fode_footer_style',true) : 0;
}else{
    if(class_exists('TC')){
        $fode_markup = '';
        if (is_page_template('page-templates/post-full-vertical.php')) { 
            $fode_markup = '</section>';
            $fode_header_variation = 3;
            $fode_footer_variation = fode_footer_variation();
        }else{
            $fode_header_variation = fode_menu_variation();
            $fode_footer_variation = fode_footer_variation();
        }  
    }else{ 
         $fode_header_variation = 0;
         $fode_footer_variation = 0;
    }   
}
 
?>
<?php if($fode_header_variation != 3): ?>
    <?php if($fode_footer_variation == 2): ?>
        <?php get_template_part('footers/fode-1'); ?> 
    <?php elseif($fode_footer_variation == 3): ?>
        <?php get_template_part('footers/fode-2'); ?>
    <?php elseif($fode_footer_variation == 4): ?>
        <?php get_template_part('footers/fode-3'); ?>
    <?php elseif($fode_footer_variation == 5): ?>
        <?php get_template_part('footers/fode-4'); ?>
    <?php elseif($fode_footer_variation == 6): ?>
        <?php get_template_part('footers/fode-5'); ?> 
    <?php elseif($fode_footer_variation == 7): ?>
        <?php get_template_part('footers/fode-6'); ?>
    <?php else: ?>
        <?php get_template_part('footers/default'); ?>
    <?php endif; ?>
<?php else: ?>
    </div>
<?php  
    echo wp_kses($fode_markup, array( 
        'section' => array(),
    ));
 endif; ?>
<?php wp_footer(); ?>

</body>
</html>
