<?php
// production 

/************************************************************************
 * Fode functions and definitions
 *************************************************************************/
define('FODE_NAME', wp_get_theme()->get( 'Name' ));
define('FODE_STYLE', get_template_directory_uri().'/assets/css/');
define('FODE_SCRIPT', get_template_directory_uri().'/assets/js/'); 
define('FODE_DIR', get_template_directory().'/');
define('FODE_URI', get_template_directory_uri().'/');

function fode_loadmore_ajax_handler(){
 
	// prepare our arguments for the query
	$args = json_decode( stripslashes( $_POST['query'] ), true );
	$args['paged'] = $_POST['page'] + 1; // we need next page to be loaded
	$args['post_status'] = 'publish'; 
	// it is always better to use WP_Query but not here
	query_posts( $args );
 
	if( have_posts() ) : 
		// run the loop
		while( have_posts() ): the_post(); 
			get_template_part( 'template-parts/contents3', get_post_format() ); 
		endwhile;
 
	endif; 
	die; // here we exit the script and even no wp_reset_query() required!
}
 
add_action('wp_ajax_loadmore', 'fode_loadmore_ajax_handler'); // wp_ajax_{action}
add_action('wp_ajax_nopriv_loadmore', 'fode_loadmore_ajax_handler'); // wp_ajax_nopriv_{action}

/**=====================================================================
 * Theme Config
 ======================================================================*/  
if ( file_exists( FODE_DIR . 'lib/theme-config/theme-config.php' ) ) {
	require FODE_DIR . 'lib/theme-config/theme-config.php';
}

/**=====================================================================
 * Theme Core Functions
 ======================================================================*/  
if ( file_exists( FODE_DIR . 'lib/theme-core-functions/theme-core-functions.php' ) ) { 
	require FODE_DIR . 'lib/theme-core-functions/theme-core-functions.php';
}
 
/**=====================================================================
 * VC row included
======================================================================*/ 
if(class_exists('TC')){
   WP_PLUGIN_DIR . '/theme-core/third-party/vc_templates/vc_row.php';
}
 
/**=====================================================================
 * Default Included Files
 =====================================================================*/ 
require FODE_DIR . 'inc/custom-header.php'; 
require FODE_DIR . 'inc/template-tags.php';
require FODE_DIR . 'inc/extras.php'; 
require FODE_DIR . 'inc/customizer.php'; 
require FODE_DIR . 'inc/jetpack.php'; 
require FODE_DIR . 'inc/walker-menu.php'; 


