<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Fode
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>

<body <?php body_class(); ?>>  

    <?php
    if(class_exists('TC')){
        $fode_preload = fode_preloader_onof();
    }else{ 
         $fode_preload = 1;
    } 
    if( $fode_preload ==1 ){
    ?> 
        <div class="loading-overlay">
            <div class="Loading-Page">
                <h2 class="loader">Loading...</h2>
                <!-- <img src="<?php //echo get_template_directory_uri() ?>/assets/img/loader.svg" alt="<?php //echo esc_attr('loader','fode'); ?>">  -->
            </div>
        </div> 
    <?php } ?>

    <!-- header variation -->
    <?php 
    if(is_page()){
        global $post;
        $fode_markup = '';
        $fode_header_style = get_post_meta($post->ID,'_fode_header_style',true);
        $fode_header_variation = (!empty($fode_header_style)) ? get_post_meta($post->ID,'_fode_header_style',true) : 0;
    }else{
        if(class_exists('TC')){
            $fode_markup = '';
            if (is_page_template('page-templates/post-full-vertical.php')) { 
                $fode_header_variation = 3;
                $fode_markup = '<section>';
            }else{
                $fode_header_variation = fode_menu_variation();
            }
        }else{ 
            $fode_header_variation = 0;
        }  
    }

    if($fode_header_variation == 2){
        get_template_part('headers/fode_horizontal');
    }elseif($fode_header_variation == 3){
        get_template_part('headers/fode_vertical');
    }elseif(($fode_header_variation == 4) || ($fode_header_variation == 5)){
        get_template_part('headers/fode_panel');
    }elseif($fode_header_variation == 6){
        get_template_part('headers/fode_panel_6');
    }else{
        get_template_part('headers/fode_default');
    } ?>

    <!-- banner -->
    <?php 
    if(class_exists('TC')){
        echo wp_kses($fode_markup, array( 
            'section' => array(),
        ));

        if (!is_page_template('page-templates/post-full-vertical.php')) {
            $fode_banner = fode_banner_enable();
            $fode_breadcrumb = fode_breadcrumb_enable();
            if($fode_banner==1){
                get_template_part('page-templates/banner');
            }
            if($fode_breadcrumb==1){
                get_template_part('page-templates/breadcrumb');
            }
        }
    } ?>

