<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fode
 */
 global $wp_query;
get_header(); ?>

    <div class="main-content pdt50 mt40 fodeblog">
        <div class="container">
            <div id="masonry-main" class="row row-eq-rs-height">
            	<?php  
				if ( have_posts() ) :  
					// Start the loop.
					while ( have_posts() ) : the_post();

						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/contents3', get_post_format() );

					// End the loop.
					endwhile;  

				// If no content, include the "No posts found" template.
				else:
					get_template_part( 'content', 'none' );

				endif;
				?> 
            </div>  
		    <!-- Pagination Start -->
		    <div class="row ">
		        <div class="col-md-12">
		            <div class="pagination mb80">
		            	<?php 
		            	// Post Pagination.
						fode_pagination(); 
						?> 
		            </div>
		        </div>
		    </div><!-- Pagination End --> 
            <hr>
        </div>
    </div> 


<?php get_footer();
