<?php 
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

/**=============================================================
 * Enqueue scripts and styles.
 ==============================================================*/
function fode_scripts() {
	global $fode,$post,$wp_query;
	$fode_sldie_speed = (!empty($fode['slider_speed'])) ? $fode['slider_speed'] : 3000;
	$fode_map_api_key = (!empty($fode['gmap-api-kiey'])) ? $fode['gmap-api-kiey'] : '';
	$fode_map_icon = (!empty($fode['gmap-icon']['url'])) ? $fode['gmap-icon']['url'] : '';
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'fode-fonts', fode_fonts_url(), array(), null );

	// LOAD STYLE SHEET    
	wp_enqueue_style( 'font-awesome', FODE_URI . 'assets/css/font-awesome.min.css' );  
	wp_enqueue_style( 'bootstrap', FODE_URI . 'assets/css/bootstrap.min.css' );   
	wp_enqueue_style( 'magnific-popup', FODE_URI . 'assets/css/magnific-popup.css' );  
	wp_enqueue_style( 'owl.carousel', FODE_URI . 'assets/css/owl.carousel.min.css' ); 
	// fode start
	wp_enqueue_style( 'animate', FODE_URI . 'assets/css/animate.css');  
	// fode end
	wp_enqueue_style( 'owl.theme', FODE_URI . 'assets/css/owl.theme.min.css' );  

	if(is_page()){
		$fode_scroll = get_post_meta($post->ID,'_fode_scroll_yes',true);
		if($fode_scroll)
		wp_enqueue_style( 'fode-onepage-scroll', FODE_URI . 'assets/css/onepage-scroll.min.css' ); 
	}
	wp_enqueue_style( 'fode-sort-style', FODE_URI . 'assets/css/sort.css' );   
	wp_enqueue_style( 'fode-main-style', FODE_URI . 'assets/css/main.css' );   
	wp_enqueue_style( 'fode-style', get_stylesheet_uri() );
 
    // LOAD SCRIPT  
	wp_enqueue_script( 'modernizr', FODE_URI . 'assets/js/modernizr.js', array(), '20151215', true ); 
	wp_enqueue_script( 'bootstrap', FODE_URI . 'assets/js/bootstrap.min.js', array('jquery'), '20151215', false ); 
	wp_enqueue_script( 'magnific-popup', FODE_URI . 'assets/js/jquery.magnific-popup.js', array('masonry'), '20151215', false ); 
	wp_enqueue_script( 'owl.carousel', FODE_URI . 'assets/js/owl.carousel.js', array(), '20151215', false ); 
	// fode start
	wp_enqueue_script( 'mixitup', FODE_URI . 'assets/js/mixitup.min.js', array(), '20151215', false ); 
	wp_enqueue_script( 'isotope', FODE_URI . 'assets/js/isotope.pkgd.min.js', array(), '20151215', false ); 
	wp_enqueue_script( 'onepage-scroll', FODE_URI . 'assets/js/jquery.onepage-scroll.js', array(), '20151215', false ); 
	wp_enqueue_script( 'easing', FODE_URI . 'assets/js/jquery.easing.min.js', array(), '20151215', false ); 
	// fode end
	wp_enqueue_script( 'google-map', 'https://maps.googleapis.com/maps/api/js?libraries=places&key='.$fode_map_api_key, array(), '20151215', false );
	wp_enqueue_script( 'fode-custom', FODE_URI . 'assets/js/custom.js', array(), '20151215', false ); 
	
	wp_localize_script( 'fode-custom', 'fode_loadmore_params', array(
		'afodexurl' => site_url() . '/wp-admin/admin-afodex.php', // WordPress AfodeX
		'posts' => json_encode( $wp_query->query_vars ), // everything about your loop is here
		'current_page' => get_query_var( 'paged' ) ? get_query_var('paged') : 1,
		'max_page' => $wp_query->max_num_pages,
		'slide_speed' => $fode_sldie_speed,
	) );
  

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// dynamic css
	$fode_custom_css = '';
	$fode_adv_css = ($fode['custom_css']) ? $fode['custom_css'] : '';
	$fode_custom_css .= "{$fode_adv_css}";
    wp_add_inline_style( 'fode-style', $fode_custom_css );

    // dynamic js
	$fode_custom_js = "";
    $fode_adv_js = (isset($fode['custom_js'])) ? $fode['custom_js'] : '' ;
    $fode_custom_js .= "{$fode_adv_js}"; 
 	wp_add_inline_script( 'fode-custom', $fode_custom_js );

	// Localize the script with new data
	$fode_gmap_icon_pass = array(
		'map_icon' => $fode_map_icon
	);
	wp_localize_script( 'fode-core', 'object_name', $fode_gmap_icon_pass );

}
add_action( 'wp_enqueue_scripts', 'fode_scripts' );

