<?php
  
/**=====================================================================
 * Ja Comment List 
=====================================================================*/
 
function fode_comments_list($comment, $args, $depth) {
    global $post; ?>

    <li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
		<div class="author-info">  
			<?php if(get_avatar( $comment, 110 )): ?>
				<div class="author-info__photo">
					<?php echo get_avatar( $comment, 110 ); ?>
				</div>  
			<?php endif; ?>
			<div class="author-info__text-content <?php echo get_avatar( $comment, 110 ) ? '' : 'ml0'; ?>">
                <h4 class="author-info__name"><?php comment_author() ?></h4>
                <span class="blog-post__date"><?php  
                echo get_comment_date( 'M n, Y', $comment ) ; ?></span> 
                <?php comment_text() ?> 
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?> 	             
			</div>
		</div>
		 
<?php } 


/**=====================================================================
 * ja Comment Form MOdify 
=====================================================================*/
 
function fode_comment_fields($fields) {
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

    unset($fields['url']);

    $fields['author'] = '<div class="form-group"><input type="text" class="form-control" placeholder="Name" name="author" value="' . esc_attr( $commenter['comment_author'] ) .
    '"></div>';
    $fields['email'] = '<div class="form-group"><input type="email" class="form-control" placeholder="E-mail" name="email"  value="' . esc_attr(  $commenter['comment_author_email'] ) .
    '"></div>';
    $fields['url'] = '';
    return $fields;
}
add_filter('comment_form_default_fields','fode_comment_fields');


/**=====================================================================
 * ja Comment args change
=====================================================================*/
  
add_filter( 'comment_form_defaults', 'fode_comment_form_allowed_tags' );
function fode_comment_form_allowed_tags( $defaults ) { 
 
	$defaults['class_submit'] = 'btn btn-lg btn-primary btn-block';  
	$defaults['title_reply_before'] =  '<div class="section-heading sm-padding"><h2>';
	$defaults['title_reply_after'] =  '</h2></div>';
    $defaults['comment_notes_before'] =  esc_html( '&nbsp;','fode' ); 
    $defaults['comment_field'] = '';
	$defaults['label_submit'] =  esc_html( 'Post Comment','fode' ); 
	return $defaults;

}

// define the comment_form_submit_button callback
function fode_filter_comment_form_submit_button( $submit_button, $args ) {
    // make filter magic happen here...
    $submit_before = '<div class="row"><div class="col-md-6 push-md-3">';
    $submit_after = '</div></div>';
    return $submit_before . $submit_button . $submit_after;
};
 
// add the filter
add_filter( 'comment_form_submit_button', 'fode_filter_comment_form_submit_button', 10, 2 );

/**=====================================================================
 * Comment form field order
=====================================================================*/
 
add_action( 'comment_form_after_fields', 'fode_add_textarea' );
add_action( 'comment_form_logged_in_after', 'fode_add_textarea' );

function fode_add_textarea(){
    echo '<div class="form-group"><textarea id="comment" name="comment" cols="30" rows="4" class="form-control" placeholder="Comment" required></textarea></div>';
}


/**=====================================================================
 * ja limit tags
=====================================================================*/
add_filter('term_links-post_tag','fode_limit_to_five_tags');
function fode_limit_to_five_tags($terms) {
return array_slice($terms,0,5,true);
}

/**=====================================================================
 * Ja Pagination
 =====================================================================*/
if ( ! function_exists( 'fode_pagination' ) ){ 
	function fode_pagination($numpages = '', $pagerange = '', $cpaged='',$next='',$prev='') {
		if (empty($pagerange)) {
			$pagerange = 2;
		}
		global $cpaged;
		if (empty($cpaged)) {
			$cpaged = 1;
		}
		if ($numpages == '') {
			global $wp_query;
			$numpages = $wp_query->max_num_pages;
			if(!$numpages) {
			    $numpages = 1;
			}
		}

		if($next==''){
			$next = esc_html('Next','fode');
		}
		if($prev==''){
			$prev = esc_html('Prev','fode');
		}


		$cpaged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
		$pagenum_link = html_entity_decode( get_pagenum_link() );
		$query_args   = array();
		$url_parts    = explode( '?', $pagenum_link );
		if ( isset( $url_parts[1] ) ) {
			wp_parse_str( $url_parts[1], $query_args );
		}
		$pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
		$pagenum_link = trailingslashit( $pagenum_link ) . '%_%';
		$format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
		$format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';
	  	$pagination_args = array(
			'base'      => $pagenum_link,
			'format'    => $format,
			'total'     => $numpages,
			'current'   => $cpaged,
			'mid_size'  => $pagerange,
			'show_all'  => true,
			'add_args'  => array_map( 'urlencode', $query_args ),
			'prev_text' => $prev,
			'next_text' => $next,
			'type'      => 'list',
	  	);

	  	$paginate_links = paginate_links($pagination_args);

	  	if ($paginate_links) { 
	  		echo wp_kses($paginate_links,
	  			array(
	  				'ul'=> array('class'=>array()),
	  				'li'=> array('class'=>array()),
	  				'span'=> array('class'=>array()),
	  				'i'=> array('class'=>array()),
                    'a' => array(
                        'target' => array(),
                        'href' => array(),
                        'title' => array(),
                        'class' => array()
                    ),

	  			)
	  		); 
	  	} 
	}
}

/**=====================================================================
 * Fode: nav menus
=====================================================================*/

// main menu
function fode_main_menu(){
	wp_nav_menu( array(
		'theme_location'    => 'mainmenu',
		'depth'             => 3,
		'container'         => false,
		'menu_id'        	=> 'fode-main-nav',
		'menu_class'        => 'menu-list', 
		//'walker'       		=> new Coach_Plus(),
		'fallback_cb'       => 'fode_default_menu'
	));
}  
// mobile menu
function fode_mobile_menu(){
	wp_nav_menu( array(
		'theme_location'    => 'mobilermenu',
		'depth'             => 3,
		'container'         => false,
		'menu_id'        	=> 'fode-mobile-nav',
		'menu_class'        => 'menu-accordion', 
		//'walker'       		=> new Coach_Plus(),
		'fallback_cb'       => 'fode_default_menu'
	));
}  
// footer menu
function fode_footer_menu(){
	wp_nav_menu( array(
		'theme_location'    => 'footermenu',
		'depth'             => 1,
		'container'         => false,
		'menu_id'        	=> 'fode-footer-nav',
		'menu_class'        => 'menu-list',  
		'fallback_cb'       => 'fode_default_menu'
	));
}  

/**=====================================================================
 * Fode:  fallback menu
=====================================================================*/
  
function fode_default_menu() {
	?>
	<ul class="menu-list"> 
		<li>
	        <a href="<?php echo esc_url(admin_url('nav-menus.php')); ?>" ><?php esc_html_e( 'ADD MENU', 'fode' ); ?></a> 
	    </li>                
	</ul>
	<?php
}  

/**=====================================================================
 * search form
=====================================================================*/
function fode_search_form() {
	?>
	    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
	        <div class="search-wrap">
	            <div class="search  pull-right educon-top-search">
	                <div class="sp_search_input">
	                    <input name="s" id="s" maxlength="200" class="pull-right" placeholder="<?php esc_attr_e( 'Search', 'fode' ); ?>" value="<?php echo get_search_query() ?>" type="text"/>
	                    <input type="submit" value="">
	                </div>
	            </div>
	        </div>
	    </form>
	<?php
}  
/**=====================================================================
 * banner title
=====================================================================*/
function fode_banner_title() {
	global $post;
    $blogtitle = explode("|", get_bloginfo('name'));
    $blogtitle = implode(" ", $blogtitle);
	if(is_home() && is_front_page()){
		echo esc_html($blogtitle);
	}elseif(is_front_page()){
		echo get_the_title($post->ID); 
	}elseif(is_home()){
		echo 'Blog'; 
	}elseif(is_search()){
		echo get_search_query();
	}elseif(is_archive()){
		echo esc_html(get_the_archive_title());
	}elseif(is_single()){
		echo get_the_title($post->ID);
	}elseif(is_page()){
		$bnr_ttl = get_post_meta($post->ID,'_fode_bnr_title',true);
    	$bnr_ttl = explode("-br-", $bnr_ttl);
    	$bnr_ttl = implode("<br/>", $bnr_ttl);
		if(''!=$bnr_ttl){
			echo wp_kses($bnr_ttl,array('br' => array()));
		}else{
			echo get_the_title($post->ID); 
		}  
	}
}  

/**=====================================================================
 *  body class added
=====================================================================*/ 
add_filter( 'body_class', 'fode_custom_class' );
function fode_custom_class( $classes ) {
	if(is_page() || is_home()){  
		$classes[] = 'page page-template'; 
	}else{
		$classes[] = 'single single-post';
	} 
    return $classes;
}

/**=====================================================================
 *  logged in style
=====================================================================*/ 
add_filter( 'wp_head', 'fode_custom_css' );
function fode_custom_css( ) {
	if(is_user_logged_in()){
		?>
		<style type="text/css">
			.lgx-header .menu-onscroll{
				top:32px;
			}
		</style>
		<?php
	}
}

/**=====================================================================
 *  Fode: remove menu classes
=====================================================================*/ 
add_filter('nav_menu_item_id', 'fode_attributes_filter', 100, 1);
add_filter('page_css_class', 'fode_attributes_filter', 100, 1);
function fode_attributes_filter($var) {
  return is_array($var) ? array() : '';
}
add_filter('nav_menu_css_class', 'fode_attributes_filter_class', 100, 1);  
function fode_attributes_filter_class($var) {
  return is_array($var) ? array() : '';
}

 
/**=====================================================================
 *  Fode: Breadcrumbs
=====================================================================*/ 
function fode_the_breadcrumb() {
	echo '<ul class="breadcrumb">'; 
		if (!is_home() && !is_front_page()) {
			echo '<li><a href="';
			echo esc_url(home_url('/'));
			echo '"><i class="icon-home6"></i>';
			echo esc_htmlesc_html('Home','fode');
			echo "</a></li>";
			if (is_category() || is_single()) {
				echo '<li>';
				the_category(' </li><li> ');
				if (is_single()) {
					echo "</li><li>";
					the_title();
					echo '</li>';
				}
			} elseif (is_search()) {
				echo '<li>';
				echo get_search_query();
				echo '</li>';
			} elseif (is_page()) {
				echo '<li>';
				echo the_title();
				echo '</li>';
			}elseif (is_tag()) {
				echo '<li>'; 
				single_tag_title();
				echo '</li>';
			}elseif (is_day()) {
				echo"<li>"; 
				the_time('F jS, Y'); 
				echo'</li>';
			}elseif (is_month()) {
				echo"<li>"; 
				the_time('F, Y'); 
				echo'</li>';
			}elseif (is_year()) {
				echo"<li>"; 
				the_time('Y'); 
				echo'</li>';
			}elseif (is_author()) {
				echo"<li>"; 
				the_author(); 
				echo'</li>';
			}
		}
	echo '</ul>';
} 

/**=====================================================================
 * wp event post views
 =====================================================================*/
function fode_getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==0){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 Views";
    }elseif($count==1){
		return $count;
    }else{
    	return $count;
    }
}
function fode_setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
 

/**=====================================================================
 * wp tags limit
 =====================================================================*/
add_filter('term_links-post_tag','fodelimit_to_five_tags');
function fodelimit_to_five_tags($terms) {
return array_slice($terms,0,4,true);
}

 
/**=====================================================================
 * sidebar post count html append
 =====================================================================*/
function fode_categories_archive_postcount_filter ($variable) {
	$variable = str_replace('(', '<span class="post-number">(', $variable);
 	$variable = str_replace(')', ')</span>', $variable);
    return $variable;
}
add_filter('wp_list_categories','fode_categories_archive_postcount_filter');
add_filter('get_archives_link','fode_categories_archive_postcount_filter');


 
/**=====================================================================
 * sidebar post count html append
 =====================================================================*/
if ( ! function_exists( 'fode_posted_on_3' ) ) : 
	function fode_posted_on_3() {
		$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
		if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
			$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated hidden" datetime="%3$s">%4$s</time>';
		}
		$time_string = sprintf( $time_string,
			esc_attr( get_the_date( 'c' ) ),
			esc_html( get_the_date() ),
			esc_attr( get_the_modified_date( 'c' ) ),
			esc_html( get_the_modified_date() )
		);  
		$posted_on = sprintf( $time_string );
		print($posted_on); // WPCS: XSS OK.
	}
endif;


 
/**=====================================================================
 * remove vc shortcode
 =====================================================================*/
function fode_short_text_remove_shortcode($start=0,$end=210){
	global $post;
	/* Get Post congtent */
	$content = $post->post_content;
	/* Remove visual composer shortcode like [vc_row] link that */
	$desc = strip_tags(do_shortcode($post->post_content));
	/* Remove empty spaces */
	$desc = trim(preg_replace('/\s+/',' ', $desc ));
	/* Get content with limit */
	$desc = mb_strimwidth($desc, $start, $end, '');
	$desc = substr($desc,0,strrpos($desc,' '));
	echo html_entity_decode($desc);
}