<?php 
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function fode_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'fode' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'fode' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="widget__title">',
		'after_title'   => '</h4>',
	) ); 
	register_sidebar( array(
		'name'          => esc_html__( 'Contact Widget', 'fode' ),
		'id'            => 'sidebar-contact',
		'description'   => esc_html__( 'Add widgets here.', 'fode' ),
		'before_widget' => '<section id="%1$s" class="widget widget-address %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="widget__title">',
		'after_title'   => '</h4>',
	) ); 
	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget', 'fode' ),
		'id'            => 'sidebar-ftr',
		'description'   => esc_html__( 'Add widgets here.', 'fode' ),
		'before_widget' => '<div id="%1$s" class="col-lg-3 col-md-3 col-sm-6 col-xs-12"><div class="footer-widget %2$s">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) ); 
}
add_action( 'widgets_init', 'fode_widgets_init' );


/**
 * Register custom fonts.
 */
function fode_fonts_url() {
	$fonts_url = '';

	/*
	 * Translators: If there are characters in your language that are not
	 * supported by Libre Franklin, translate this to 'off'. Do not translate
	 * into your own language.
	 */
	$google_fonts = _x( 'on', 'Google font: on or off', 'fode' );

	if ( 'off' !== $google_fonts ) {
		$font_families = array();

		$font_families[] = 'Open Sans:300,400,600,700,,800,800%';
		$font_families[] = 'Playfair Display:400,700,900';
		$font_families[] = 'Roboto:100,300,400,500,700,900';

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);

		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	}

	return esc_url_raw( $fonts_url );
}