<?php
/**
 * Template Name: Blog Fullwidth
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fode
 */
 
get_header(); ?>

    <div class="main-content mt140">
        <div class="container"> 
            <div id="masonry-main" class="row">
            	<?php
				$paged = (get_query_var('paged')) ? get_query_var('paged') : 1; 
                $fode_post_query = new WP_Query(array( 'post_type'=> 'post','paged' => $paged ));
				if ( $fode_post_query->have_posts() ) : ?>

					<?php
					// Start the loop.
					while ( $fode_post_query->have_posts() ) : $fode_post_query->the_post();

						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/contents2', get_post_format() );

					// End the loop.
					endwhile;

				// If no content, include the "No posts found" template.
				else :
					get_template_part( 'content', 'none' );

				endif;
				?>

            </div>
            <!-- Pagination Start --> 
            <div class="pagination mb80">
            	<?php 
            	// Post Pagination.
				fode_pagination($fode_post_query->max_num_pages,"",$paged); 
				?> 
            </div>   
        </div>
    </div>

<?php get_footer();
