<?php
/**
 * The template for displaying all single portfolios
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Fode
 */

get_header(); ?>
  
    <?php while ( have_posts() ) : the_post(); 
        $fode_termsp = get_the_terms( get_the_ID(), 'portfolios_cat' );  
        $fode_cat = end($fode_termsp); 
    ?> 
        <div class="main-content pdt50 mt40 ">
            <div class="container">
                <?php the_content(); ?> 
                <?php $portfolios_post = new WP_Query(array('post_type'=>'portfolios','posts_per_page'=>3,'order'=>'DESC','portfolios_cat'=>$fode_cat->slug)); ?>
                <?php if($portfolios_post->have_posts()): ?>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="text-center mt45 pdt50 mb50 pdb20">
                                <h3 class="section-title"><?php esc_html_e('Related Portfolios','fode'); ?></h3>
                            </div>
                        </div>
                    </div>
                    <div class="row row-eq-rs-height"> 
                        <?php while($portfolios_post->have_posts()): $portfolios_post->the_post();  
                        $fode_terms = get_the_terms( get_the_ID(), 'portfolios_cat' );  
                        $fode_link = array();
                        foreach ( $fode_terms as $fode_term ) {
                            $fode_link[] = $fode_term->slug;
                        }              
                        $fode_links = join( " ", $fode_link ); 
                        $fode_pop_up = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'fode-portfolio-popup');
                        $fode_pop_img = $fode_pop_up[0];
                        ?>   
                            <div class="col-md-4 col-sm-6 col-xxs-12">
                                <a class="portfolio-item mb30" href="<?php the_permalink(); ?>">
                                    <img src="<?php echo esc_url($fode_pop_img); ?>" class="portfolio-item__photo" alt="portfolio">
                                    <div class="portfolio-item__overlay"></div>
                                    <div class="portfolio-item__text-content text-center">
                                        <h3 class="portfolio-item__title"><?php the_title(); ?></h3>
                                        <span class="portfolio-item__category"><?php echo end($fode_link); ?></span>
                                    </div>
                                </a>
                            </div>
                        <?php endwhile; wp_reset_postdata(); ?>  
                    </div>
                <?php endif; ?>
                <div class="row">
                    <div class="col-md-12 text-center">

                        <div class="pdt50">

                        </div>
                        <hr />
                    </div>
                </div>
            </div>
        </div> 
    <?php endwhile; ?> 

<?php get_footer();
