<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fode
 */

?>

<div id="post-<?php the_ID(); ?>" <?php post_class('masonry-item col-md-6 col-sm-6 col-xs-12'); ?>>
    <article class="blog-post">

        <div class="gallery blog-details-img blog-post__thumb">
            <div class="blog-gallery-post owl-carousel">
                <?php 
                    $files = get_post_meta( get_the_ID(), '_fode_gallery_img_cod', 1 );
                    // Loop through them and output an image
                    foreach ( (array) $files as $attachment_id => $attachment_url ) {
                        echo '<div class="image">';
                        echo wp_get_attachment_image( $attachment_id, 'fode-blog-thumb' );

                        echo '</div>';
                    } 
                ?> 
            </div>   
            <?php if(is_sticky()): ?>
                <span class="blog-post__sticky base-bg"><?php esc_html_e('Featured','fode'); ?></span>
            <?php endif; ?> 
        </div> 
        <div class="blog-post__text-content">
            <h4 class="blog-post__title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <p><?php echo esc_html(wp_trim_words(get_the_content(),10,'')); ?></p>
            <a href="<?php the_permalink(); ?>" class="read-more cyan-color"><?php esc_html_e('Read More','fode'); ?></a>
        </div>
    </article><!--/blog-post-->
</div> 