<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fode
 */

?>
<article class="blog-post noresult"> 
	<header class="entry-header">
		<h2 class="entry-title"><?php esc_html_e( 'Nothing Found', 'fode' ); ?></h2>
	</header><!-- .page-header --> 
	<?php
	if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

		<p><?php 
		/* translators: %s: 404 page content. */
		printf( wp_kses( esc_html('Ready to publish your first post?','fode').' <a href="%1$s">'.esc_html('Get started here','fode').'</a>.', array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

	<?php elseif ( is_search() ) : ?>

		<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'fode' ); ?></p>
		<?php
			get_search_form();

	else : ?>

		<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'fode' ); ?></p>
		<?php
			get_search_form();

	endif; ?>
</article><!--/blog-post--> 
 