<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fode
 */ 
?>

    <div class="blog-detail-wrapper">
        <div class="image mb50">
            <?php if(has_post_thumbnail()) the_post_thumbnail(); ?>
        </div> 
        <?php $categories = get_the_terms( $post->ID, 'category' );
            $categories = end($categories);
            $category_id = get_cat_ID( $categories->name );
        ?>
        <a href="<?php echo get_category_link( $category_id ); ?>">
        <span class="blog-post__category base-color"> 
            <?php echo esc_html($categories->name); ?>   
        </span></a>
        <div class="blog-details-text mt50 fodeblog">
            <h2 class="blog-detail-title"><?php the_title(); ?></h2>
            <?php the_content();
                wp_link_pages( array(
                    'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'fode' ),
                    'after'       => '</div>',
                    'link_before' => '<span class="page-number">',
                    'link_after'  => '</span>',
                ) ); 

                global $numpages;
                if ( is_singular() && $numpages > 1 ) {
                      if ( is_singular( 'attachment' ) ) {
                        // Parent post navigation.
                        the_post_navigation( array(
                          'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'fode' ),
                        ) );
                      } elseif ( is_singular( 'post' ) ) {
                        // Previous/next post navigation.
                        the_post_navigation( array(
                          'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Next - ', 'fode' ) . '</span> ' . 
                            '<span class="post-title">%title</span>',
                          'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Previous - ', 'fode' ) . '</span> ' . 
                            '<span class="post-title">%title</span>',
                        ) );
                      }
                }
            ?> 
            <div class="row mb20 ">
                <div class="col-sm-6 mt25">
                    <div class="tag-list mb20 posttaglist">
                        <span class="tag-list__title"><?php esc_html_e('Tags','fode') ?> :</span>
                        <?php the_tags('',''); ?> 
                    </div>
                </div>
                <div class="col-sm-6 text-right text-xs-center mt25">
                    <?php if(class_exists('TC')) do_action('fode_social_sahre'); ?>
                </div>
            </div> 
            <div class="author-info author-info-border">
                <div class="author-info__photo">
                    <?php echo get_avatar( get_the_author_meta( 'ID' ), 100 ); ?>
                </div>
                <div class="author-info__text-content">
                    <h4 class="author-info__name"><?php the_author(); ?></h4><span class="author-info__designation"><?php the_author_meta( 'designation' ) ?></span>
                    <?php the_author_meta('description'); ?>
                </div>
                <div class="clear"></div>
            </div>   
            
            <?php                         
            // If comments are open or we have at least one comment, load up the comment template.
            if ( comments_open() || get_comments_number() ) :
                comments_template();
            endif; 
            ?>
        </div>
    </div>