<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fode
 */

?>

<div id="post-<?php the_ID(); ?>" <?php post_class('masonry-item col-md-4 col-sm-6 col-xs-12'); ?>>
    <article class="blog-post">
        <div class="blog-post__thumb">
            <?php if(has_post_thumbnail()) the_post_thumbnail(); ?> 
            <div class="meta <?php echo (!has_post_thumbnail()) ? 'no-img' : ''; ?>">
                <span class="blog-post__date base-bg"><?php fode_posted_on(); ?></span>
                <?php if(is_sticky()): ?>
                    <span class="blog-post__sticky base-bg"><?php esc_html_e('Featured','fode'); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="blog-post__text-content">
            <h4 class="blog-post__title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <p><?php echo esc_html(wp_trim_words(get_the_content(),10,'')); ?></p>
            <a href="<?php the_permalink(); ?>" class="read-more cyan-color"><?php esc_html_e('Read More','fode'); ?></a>
        </div>
    </article><!--/blog-post-->
</div> 